VidCutter snap

VidCutter

Pete Alexandrou (ozmartian)

Install latest/stable of VidCutter

Make sure snap support is enabled in your Desktop store.


Install using the command line

Don't have snapd? Get set up for snaps.

Channel Version Published

the fastest frame-accurate media cutter + joiner

A modern, simple to use, constantly evolving and hella fast MEDIA CUTTER + JOINER w/ frame-accurate SmartCut technology + Qt5, libmpv, FFmpeg and MediaInfo powering the backend.

Contact Pete Alexandrou

Details for VidCutter

License
GPL-3.0+
Last updated
9 August 2018

Share this snap

Generate an embeddable card to be shared on external websites.


Where people are using VidCutter

Users by distribution (log)

ubuntu 18.04
ubuntu 16.04
ubuntu 19.04
ubuntu 18.10
ubuntu 17.10
linuxmint 19.1
zorin 12
neon 18.04
debian 9
linuxmint 18.3
linuxmint 19
ubuntu 17.04
elementary 5.0
ubuntu 19.10
ubuntu 14.04
debian 10
elementary 0.4.1
fedora 30
linuxmint 18.2
parrot 4.7
deepin 15.10.1
zorin 15
linuxmint 18.1

Related blog posts


Install VidCutter on your Linux distribution

Choose your Linux distribution to get detailed installation instructions. If yours is not shown, get more details on the installing snapd documentation.


Is there a problem with VidCutter? Report this app